package graficos;

public class Ponto {
	
	private double[] position;

	private int tipo;
	//Tipo 0 => posi��es do mouse mapeadas no ambiente
	//Tipo 1 => posi��es dos pontos que mapeiam a reta gerada pelos pontos tipos 0
	private String id;/*alvo,pontoId*/

	
	public Ponto(String id){
		this.id=id;
	}
	

	public double[] getPosition() {
		return position;
	}
	
	public double getPosition(int indice) {
		return position[indice];
	}

	public void setPosition(double[] position) {
		this.position = position;
	}

	public int getTipo() {
		return tipo;
	}

	public void setTipo(int tipo) {
		this.tipo = tipo;
	}
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String toString(){
		String report="";
		report+="Id: "+this.id+"  \n";
		report+="Weight: "+this.tipo+"  \n";
		
		for(int i=0;i<this.position.length;i++){
			report+="Position["+i+"]: "+this.position[i]+"  \n";
		}
		return report;
	}

}
